import { NextFunction, Request, RequestHandler, Response } from "express";
export default function createQueueStorageContextMiddleware(skipApiVersionCheck?: boolean): RequestHandler;
/**
 * A middleware extract related queue service context.
 *
 * @export
 * @param {Request} req An express compatible Request object
 * @param {Response} res An express compatible Response object
 * @param {NextFunction} next An express middleware next callback
 */
export declare function queueStorageContextMiddleware(req: Request, res: Response, next: NextFunction, skipApiVersionCheck?: boolean): void;
/**
 * Extract storage account, queue, and massages from URL path.
 *
 * @param {string} path
 * @returns {([string | undefined, string | undefined, string | undefined, boolean | undefined])}
 */
export declare function extractStoragePartsFromPath(hostname: string, path: string): [string | undefined, string | undefined, string | undefined, string | undefined, boolean | undefined];
//# sourceMappingURL=queueStorageContext.middleware.d.ts.map